
_Set_Index:

;Stereo3D_driver.c,60 :: 		void Set_Index(unsigned short index) {
;Stereo3D_driver.c,61 :: 		TFT_RS = 0;
	BCLR	LATB15_bit, #15
;Stereo3D_driver.c,62 :: 		Lo(LATA) = index;
	MOV	#lo_addr(LATA), W0
	MOV.B	W10, [W0]
;Stereo3D_driver.c,63 :: 		TFT_WR = 0;
	BCLR	LATD13_bit, #13
;Stereo3D_driver.c,64 :: 		TFT_WR = 1;
	BSET	LATD13_bit, #13
;Stereo3D_driver.c,65 :: 		}
L_end_Set_Index:
	RETURN
; end of _Set_Index

_Write_Command:

;Stereo3D_driver.c,68 :: 		void Write_Command(unsigned short cmd) {
;Stereo3D_driver.c,69 :: 		TFT_RS = 1;
	BSET	LATB15_bit, #15
;Stereo3D_driver.c,70 :: 		Lo(LATA) = cmd;
	MOV	#lo_addr(LATA), W0
	MOV.B	W10, [W0]
;Stereo3D_driver.c,71 :: 		TFT_WR = 0;
	BCLR	LATD13_bit, #13
;Stereo3D_driver.c,72 :: 		TFT_WR = 1;
	BSET	LATD13_bit, #13
;Stereo3D_driver.c,73 :: 		}
L_end_Write_Command:
	RETURN
; end of _Write_Command

_Write_Data:

;Stereo3D_driver.c,76 :: 		void Write_Data(unsigned int _data) {
;Stereo3D_driver.c,77 :: 		TFT_RS = 1;
	BSET	LATB15_bit, #15
;Stereo3D_driver.c,78 :: 		Lo(LATE) = Hi(_data);
	MOV	#lo_addr(W10), W0
	INC	W0
	MOV.B	[W0], W1
	MOV	#lo_addr(LATE), W0
	MOV.B	W1, [W0]
;Stereo3D_driver.c,79 :: 		Lo(LATA) = Lo(_data);
	MOV	#lo_addr(LATA), W0
	MOV.B	W10, [W0]
;Stereo3D_driver.c,80 :: 		TFT_WR = 0;
	BCLR	LATD13_bit, #13
;Stereo3D_driver.c,81 :: 		TFT_WR = 1;
	BSET	LATD13_bit, #13
;Stereo3D_driver.c,82 :: 		}
L_end_Write_Data:
	RETURN
; end of _Write_Data

_Init_ADC:

;Stereo3D_driver.c,85 :: 		void Init_ADC() {
;Stereo3D_driver.c,86 :: 		AD1PCFGL = 0xCFFF;
	MOV	#53247, W0
	MOV	WREG, AD1PCFGL
;Stereo3D_driver.c,87 :: 		AD1PCFGH = 0xCFFF;
	MOV	#53247, W0
	MOV	WREG, AD1PCFGH
;Stereo3D_driver.c,88 :: 		ADC1_Init();
	CALL	_ADC1_Init
;Stereo3D_driver.c,89 :: 		}
L_end_Init_ADC:
	RETURN
; end of _Init_ADC

_TFT_Get_Data:
	LNK	#6

;Stereo3D_driver.c,91 :: 		char* TFT_Get_Data(unsigned long offset, unsigned int count, unsigned int *num) {
;Stereo3D_driver.c,95 :: 		start_sector = Mmc_Get_File_Write_Sector() + offset/512;
	PUSH	W10
	PUSH	W11
	CALL	_Mmc_Get_File_Write_Sector
	MOV	#9, W4
	MOV.D	W10, W2
L__TFT_Get_Data69:
	DEC	W4, W4
	BRA LT	L__TFT_Get_Data70
	LSR	W3, W3
	RRC	W2, W2
	BRA	L__TFT_Get_Data69
L__TFT_Get_Data70:
	ADD	W0, W2, W2
	ADDC	W1, W3, W3
	MOV	W2, [W14+0]
	MOV	W3, [W14+2]
;Stereo3D_driver.c,96 :: 		pos = (unsigned long)offset%512;
	MOV	#511, W0
	MOV	#0, W1
	AND	W10, W0, W0
	AND	W11, W1, W1
	MOV	W0, [W14+4]
;Stereo3D_driver.c,98 :: 		if(start_sector == currentSector+1) {
	MOV	_currentSector, W0
	MOV	_currentSector+2, W1
	ADD	W0, #1, W0
	ADDC	W1, #0, W1
	CP	W2, W0
	CPB	W3, W1
	BRA Z	L__TFT_Get_Data71
	GOTO	L_TFT_Get_Data0
L__TFT_Get_Data71:
;Stereo3D_driver.c,99 :: 		Mmc_Multi_Read_Sector(f16_sector.fSect);
	PUSH.D	W12
	MOV	#lo_addr(_f16_sector), W10
	CALL	_Mmc_Multi_Read_Sector
	POP.D	W12
;Stereo3D_driver.c,100 :: 		currentSector = start_sector;
	MOV	[W14+0], W0
	MOV	[W14+2], W1
	MOV	W0, _currentSector
	MOV	W1, _currentSector+2
;Stereo3D_driver.c,101 :: 		} else if (start_sector != currentSector) {
	GOTO	L_TFT_Get_Data1
L_TFT_Get_Data0:
	MOV	[W14+0], W1
	MOV	[W14+2], W2
	MOV	#lo_addr(_currentSector), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA NZ	L__TFT_Get_Data72
	GOTO	L_TFT_Get_Data2
L__TFT_Get_Data72:
;Stereo3D_driver.c,102 :: 		if(currentSector != -1)
	MOV	#65535, W1
	MOV	#65535, W2
	MOV	#lo_addr(_currentSector), W0
	CP	W1, [W0++]
	CPB	W2, [W0--]
	BRA NZ	L__TFT_Get_Data73
	GOTO	L_TFT_Get_Data3
L__TFT_Get_Data73:
;Stereo3D_driver.c,103 :: 		Mmc_Multi_Read_Stop();
	PUSH.D	W12
	CALL	_Mmc_Multi_Read_Stop
	POP.D	W12
L_TFT_Get_Data3:
;Stereo3D_driver.c,104 :: 		Mmc_Multi_Read_Start(start_sector);
	PUSH.D	W12
	MOV	[W14+0], W10
	MOV	[W14+2], W11
	CALL	_Mmc_Multi_Read_Start
;Stereo3D_driver.c,105 :: 		Mmc_Multi_Read_Sector(f16_sector.fSect);
	MOV	#lo_addr(_f16_sector), W10
	CALL	_Mmc_Multi_Read_Sector
	POP.D	W12
;Stereo3D_driver.c,106 :: 		currentSector = start_sector;
	MOV	[W14+0], W0
	MOV	[W14+2], W1
	MOV	W0, _currentSector
	MOV	W1, _currentSector+2
;Stereo3D_driver.c,107 :: 		}
L_TFT_Get_Data2:
L_TFT_Get_Data1:
;Stereo3D_driver.c,109 :: 		if(count>512-pos)
	MOV	#512, W1
	ADD	W14, #4, W0
	SUB	W1, [W0], W0
	CP	W12, W0
	BRA GTU	L__TFT_Get_Data74
	GOTO	L_TFT_Get_Data4
L__TFT_Get_Data74:
;Stereo3D_driver.c,110 :: 		*num = 512-pos;
	MOV	#512, W1
	ADD	W14, #4, W0
	SUB	W1, [W0], W0
	MOV	W0, [W13]
	GOTO	L_TFT_Get_Data5
L_TFT_Get_Data4:
;Stereo3D_driver.c,112 :: 		*num = count;
	MOV	W12, [W13]
L_TFT_Get_Data5:
;Stereo3D_driver.c,114 :: 		return f16_sector.fSect+pos;
	MOV	#lo_addr(_f16_sector), W1
	ADD	W14, #4, W0
	ADD	W1, [W0], W0
;Stereo3D_driver.c,115 :: 		}
;Stereo3D_driver.c,114 :: 		return f16_sector.fSect+pos;
;Stereo3D_driver.c,115 :: 		}
L_end_TFT_Get_Data:
	POP	W11
	POP	W10
	ULNK
	RETURN
; end of _TFT_Get_Data

Stereo3D_driver_InitializeTouchPanel:

;Stereo3D_driver.c,116 :: 		static void InitializeTouchPanel() {
;Stereo3D_driver.c,117 :: 		Init_ADC();
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	CALL	_Init_ADC
;Stereo3D_driver.c,118 :: 		TFT_Set_Active(Set_Index, Write_Command, Write_Data);
	MOV	#lo_addr(_Write_Data), W12
	MOV	#lo_addr(_Write_Command), W11
	MOV	#lo_addr(_Set_Index), W10
	CALL	_TFT_Set_Active
;Stereo3D_driver.c,119 :: 		TFT_Init(240, 320);
	MOV	#320, W11
	MOV	#240, W10
	CALL	_TFT_Init
;Stereo3D_driver.c,120 :: 		TFT_Set_Ext_Buffer(TFT_Get_Data);
	MOV	#lo_addr(_TFT_Get_Data), W10
	CALL	_TFT_Set_Ext_Buffer
;Stereo3D_driver.c,122 :: 		TP_TFT_Init(240, 320, 13, 12);                                  // Initialize touch panel
	MOV.B	#12, W13
	MOV.B	#13, W12
	MOV	#320, W11
	MOV	#240, W10
	CALL	_TP_TFT_Init
;Stereo3D_driver.c,123 :: 		TP_TFT_Set_ADC_Threshold(ADC_THRESHOLD);                              // Set touch panel ADC threshold
	MOV	#800, W10
	CALL	_TP_TFT_Set_ADC_Threshold
;Stereo3D_driver.c,125 :: 		PenDown = 0;
	MOV	#lo_addr(_PenDown), W1
	CLR	W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,126 :: 		PressedObject = 0;
	CLR	W0
	MOV	W0, _PressedObject
;Stereo3D_driver.c,127 :: 		PressedObjectType = -1;
	MOV	#65535, W0
	MOV	W0, _PressedObjectType
;Stereo3D_driver.c,128 :: 		}
L_end_InitializeTouchPanel:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of Stereo3D_driver_InitializeTouchPanel

Stereo3D_driver_InitializeObjects:

;Stereo3D_driver.c,152 :: 		static void InitializeObjects() {
;Stereo3D_driver.c,153 :: 		left.Color                     = 0x0000;
	CLR	W0
	MOV	W0, _left
;Stereo3D_driver.c,154 :: 		left.Width                     = 240;
	MOV	#240, W0
	MOV	W0, _left+2
;Stereo3D_driver.c,155 :: 		left.Height                    = 320;
	MOV	#320, W0
	MOV	W0, _left+4
;Stereo3D_driver.c,156 :: 		left.ImagesCount               = 1;
	MOV	#1, W0
	MOV	W0, _left+8
;Stereo3D_driver.c,157 :: 		left.Images                    = Screen1_Images;
	MOV	#lo_addr(_Screen1_Images), W0
	MOV	#higher_addr(_Screen1_Images), W1
	MOV	W0, _left+10
	MOV	W1, _left+12
;Stereo3D_driver.c,158 :: 		left.ObjectsCount              = 1;
	MOV	#lo_addr(_left+6), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,160 :: 		right.Color                     = 0x0000;
	CLR	W0
	MOV	W0, _right
;Stereo3D_driver.c,161 :: 		right.Width                     = 240;
	MOV	#240, W0
	MOV	W0, _right+2
;Stereo3D_driver.c,162 :: 		right.Height                    = 320;
	MOV	#320, W0
	MOV	W0, _right+4
;Stereo3D_driver.c,163 :: 		right.ImagesCount               = 1;
	MOV	#1, W0
	MOV	W0, _right+8
;Stereo3D_driver.c,164 :: 		right.Images                    = Screen2_Images;
	MOV	#lo_addr(_Screen2_Images), W0
	MOV	#higher_addr(_Screen2_Images), W1
	MOV	W0, _right+10
	MOV	W1, _right+12
;Stereo3D_driver.c,165 :: 		right.ObjectsCount              = 1;
	MOV	#lo_addr(_right+6), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,168 :: 		leftImage.OwnerScreen     = &left;
	MOV	#lo_addr(_left), W0
	MOV	W0, _leftImage
;Stereo3D_driver.c,169 :: 		leftImage.Order          = 0;
	MOV	#lo_addr(_leftImage+2), W1
	CLR	W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,170 :: 		leftImage.Left           = 0;
	CLR	W0
	MOV	W0, _leftImage+4
;Stereo3D_driver.c,171 :: 		leftImage.Top            = 0;
	CLR	W0
	MOV	W0, _leftImage+6
;Stereo3D_driver.c,172 :: 		leftImage.Width          = 240;
	MOV	#240, W0
	MOV	W0, _leftImage+8
;Stereo3D_driver.c,173 :: 		leftImage.Height         = 320;
	MOV	#320, W0
	MOV	W0, _leftImage+10
;Stereo3D_driver.c,174 :: 		leftImage.Picture_Type   = 0;
	MOV	#lo_addr(_leftImage+18), W1
	CLR	W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,175 :: 		leftImage.Picture_Ratio  = 1;
	MOV	#lo_addr(_leftImage+19), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,176 :: 		leftImage.Picture_Name   = l_scrim_bmp;
	MOV	#59, W0
	MOV	#0, W1
	MOV	W0, _leftImage+12
	MOV	W1, _leftImage+14
;Stereo3D_driver.c,177 :: 		leftImage.Visible        = 1;
	MOV	#lo_addr(_leftImage+16), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,178 :: 		leftImage.Active         = 1;
	MOV	#lo_addr(_leftImage+17), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,179 :: 		leftImage.OnUpPtr         = leftImageOnUp;
	MOV	#lo_addr(_leftImageOnUp), W0
	MOV	W0, _leftImage+20
;Stereo3D_driver.c,180 :: 		leftImage.OnDownPtr       = 0;
	CLR	W0
	MOV	W0, _leftImage+22
;Stereo3D_driver.c,181 :: 		leftImage.OnClickPtr      = 0;
	CLR	W0
	MOV	W0, _leftImage+24
;Stereo3D_driver.c,182 :: 		leftImage.OnPressPtr      = 0;
	CLR	W0
	MOV	W0, _leftImage+26
;Stereo3D_driver.c,184 :: 		rightImage.OwnerScreen     = &right;
	MOV	#lo_addr(_right), W0
	MOV	W0, _rightImage
;Stereo3D_driver.c,185 :: 		rightImage.Order          = 0;
	MOV	#lo_addr(_rightImage+2), W1
	CLR	W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,186 :: 		rightImage.Left           = 0;
	CLR	W0
	MOV	W0, _rightImage+4
;Stereo3D_driver.c,187 :: 		rightImage.Top            = 0;
	CLR	W0
	MOV	W0, _rightImage+6
;Stereo3D_driver.c,188 :: 		rightImage.Width          = 240;
	MOV	#240, W0
	MOV	W0, _rightImage+8
;Stereo3D_driver.c,189 :: 		rightImage.Height         = 320;
	MOV	#320, W0
	MOV	W0, _rightImage+10
;Stereo3D_driver.c,190 :: 		rightImage.Picture_Type   = 0;
	MOV	#lo_addr(_rightImage+18), W1
	CLR	W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,191 :: 		rightImage.Picture_Ratio  = 1;
	MOV	#lo_addr(_rightImage+19), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,192 :: 		rightImage.Picture_Name   = r_scrim_bmp;
	MOV	#11841, W0
	MOV	#1, W1
	MOV	W0, _rightImage+12
	MOV	W1, _rightImage+14
;Stereo3D_driver.c,193 :: 		rightImage.Visible        = 1;
	MOV	#lo_addr(_rightImage+16), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,194 :: 		rightImage.Active         = 1;
	MOV	#lo_addr(_rightImage+17), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,195 :: 		rightImage.OnUpPtr         = rightImageOnUp;
	MOV	#lo_addr(_rightImageOnUp), W0
	MOV	W0, _rightImage+20
;Stereo3D_driver.c,196 :: 		rightImage.OnDownPtr       = 0;
	CLR	W0
	MOV	W0, _rightImage+22
;Stereo3D_driver.c,197 :: 		rightImage.OnClickPtr      = 0;
	CLR	W0
	MOV	W0, _rightImage+24
;Stereo3D_driver.c,198 :: 		rightImage.OnPressPtr      = 0;
	CLR	W0
	MOV	W0, _rightImage+26
;Stereo3D_driver.c,199 :: 		}
L_end_InitializeObjects:
	RETURN
; end of Stereo3D_driver_InitializeObjects

Stereo3D_driver_IsInsideObject:
	LNK	#0

;Stereo3D_driver.c,201 :: 		static char IsInsideObject (unsigned int X, unsigned int Y, unsigned int Left, unsigned int Top, unsigned int Width, unsigned int Height) { // static
;Stereo3D_driver.c,202 :: 		if ( (Left<= X) && (Left+ Width - 1 >= X) &&
; Width start address is: 2 (W1)
	MOV	[W14-8], W1
; Height start address is: 4 (W2)
	MOV	[W14-10], W2
	CP	W12, W10
	BRA LEU	L_Stereo3D_driver_IsInsideObject78
	GOTO	L_Stereo3D_driver_IsInsideObject60
L_Stereo3D_driver_IsInsideObject78:
	ADD	W12, W1, W0
; Width end address is: 2 (W1)
	DEC	W0
	CP	W0, W10
	BRA GEU	L_Stereo3D_driver_IsInsideObject79
	GOTO	L_Stereo3D_driver_IsInsideObject59
L_Stereo3D_driver_IsInsideObject79:
;Stereo3D_driver.c,203 :: 		(Top <= Y)  && (Top + Height - 1 >= Y) )
	CP	W13, W11
	BRA LEU	L_Stereo3D_driver_IsInsideObject80
	GOTO	L_Stereo3D_driver_IsInsideObject58
L_Stereo3D_driver_IsInsideObject80:
	ADD	W13, W2, W0
; Height end address is: 4 (W2)
	DEC	W0
	CP	W0, W11
	BRA GEU	L_Stereo3D_driver_IsInsideObject81
	GOTO	L_Stereo3D_driver_IsInsideObject57
L_Stereo3D_driver_IsInsideObject81:
L_Stereo3D_driver_IsInsideObject56:
;Stereo3D_driver.c,204 :: 		return 1;
	MOV.B	#1, W0
	GOTO	L_end_IsInsideObject
;Stereo3D_driver.c,202 :: 		if ( (Left<= X) && (Left+ Width - 1 >= X) &&
L_Stereo3D_driver_IsInsideObject60:
L_Stereo3D_driver_IsInsideObject59:
;Stereo3D_driver.c,203 :: 		(Top <= Y)  && (Top + Height - 1 >= Y) )
L_Stereo3D_driver_IsInsideObject58:
L_Stereo3D_driver_IsInsideObject57:
;Stereo3D_driver.c,206 :: 		return 0;
	CLR	W0
;Stereo3D_driver.c,207 :: 		}
L_end_IsInsideObject:
	ULNK
	RETURN
; end of Stereo3D_driver_IsInsideObject

_DeleteTrailingSpaces:

;Stereo3D_driver.c,212 :: 		void DeleteTrailingSpaces(char* str){
;Stereo3D_driver.c,215 :: 		while(1) {
L_DeleteTrailingSpaces10:
;Stereo3D_driver.c,216 :: 		if(str[0] == ' ') {
	MOV.B	[W10], W1
	MOV.B	#32, W0
	CP.B	W1, W0
	BRA Z	L__DeleteTrailingSpaces83
	GOTO	L_DeleteTrailingSpaces12
L__DeleteTrailingSpaces83:
;Stereo3D_driver.c,217 :: 		for(i = 0; i < strlen(str); i++) {
; i start address is: 4 (W2)
	CLR	W2
; i end address is: 4 (W2)
L_DeleteTrailingSpaces13:
; i start address is: 4 (W2)
	CALL	_strlen
	ZE	W2, W1
	CP	W1, W0
	BRA LT	L__DeleteTrailingSpaces84
	GOTO	L_DeleteTrailingSpaces14
L__DeleteTrailingSpaces84:
;Stereo3D_driver.c,218 :: 		str[i] = str[i+1];
	ZE	W2, W0
	ADD	W10, W0, W1
	ZE	W2, W0
	INC	W0
	ADD	W10, W0, W0
	MOV.B	[W0], [W1]
;Stereo3D_driver.c,217 :: 		for(i = 0; i < strlen(str); i++) {
	INC.B	W2
;Stereo3D_driver.c,219 :: 		}
; i end address is: 4 (W2)
	GOTO	L_DeleteTrailingSpaces13
L_DeleteTrailingSpaces14:
;Stereo3D_driver.c,220 :: 		}
	GOTO	L_DeleteTrailingSpaces16
L_DeleteTrailingSpaces12:
;Stereo3D_driver.c,222 :: 		break;
	GOTO	L_DeleteTrailingSpaces11
L_DeleteTrailingSpaces16:
;Stereo3D_driver.c,223 :: 		}
	GOTO	L_DeleteTrailingSpaces10
L_DeleteTrailingSpaces11:
;Stereo3D_driver.c,224 :: 		}
L_end_DeleteTrailingSpaces:
	RETURN
; end of _DeleteTrailingSpaces

_DrawImage:

;Stereo3D_driver.c,226 :: 		void DrawImage(TImage *AImage) {
;Stereo3D_driver.c,227 :: 		if (AImage->Visible) {
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	ADD	W10, #16, W0
	CP0.B	[W0]
	BRA NZ	L__DrawImage86
	GOTO	L_DrawImage17
L__DrawImage86:
;Stereo3D_driver.c,228 :: 		TFT_Ext_Image(AImage->Left, AImage->Top, AImage->Picture_Name, AImage->Picture_Ratio);
	ADD	W10, #19, W0
	MOV.B	[W0], W3
	ADD	W10, #12, W2
	ADD	W10, #6, W1
	ADD	W10, #4, W0
	MOV.D	[W2], W12
	MOV	[W1], W11
	MOV	[W0], W10
	ZE	W3, W0
	PUSH	W0
	CALL	_TFT_Ext_Image
	SUB	#2, W15
;Stereo3D_driver.c,229 :: 		}
L_DrawImage17:
;Stereo3D_driver.c,230 :: 		}
L_end_DrawImage:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _DrawImage

_DrawScreen:
	LNK	#6

;Stereo3D_driver.c,232 :: 		void DrawScreen(TScreen *aScreen) {
;Stereo3D_driver.c,238 :: 		object_pressed = 0;
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	MOV	#lo_addr(_object_pressed), W1
	CLR	W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,239 :: 		order = 0;
	CLR	W0
	MOV	W0, [W14+0]
;Stereo3D_driver.c,240 :: 		image_idx = 0;
	CLR	W0
	MOV.B	W0, [W14+2]
;Stereo3D_driver.c,241 :: 		CurrentScreen = aScreen;
	MOV	W10, _CurrentScreen
;Stereo3D_driver.c,243 :: 		if ((display_width != CurrentScreen->Width) || (display_height != CurrentScreen->Height)) {
	ADD	W10, #2, W0
	MOV	[W0], W1
	MOV	#lo_addr(_display_width), W0
	CP	W1, [W0]
	BRA Z	L__DrawScreen88
	GOTO	L__DrawScreen63
L__DrawScreen88:
	MOV	_CurrentScreen, W0
	ADD	W0, #4, W0
	MOV	[W0], W1
	MOV	#lo_addr(_display_height), W0
	CP	W1, [W0]
	BRA Z	L__DrawScreen89
	GOTO	L__DrawScreen62
L__DrawScreen89:
	GOTO	L_DrawScreen20
L__DrawScreen63:
L__DrawScreen62:
;Stereo3D_driver.c,244 :: 		save_bled = TFT_BLED;
; save_bled start address is: 4 (W2)
	CLR.B	W2
	BTSC	LATD7_bit, #7
	INC.B	W2
;Stereo3D_driver.c,245 :: 		save_bled_direction = TFT_BLED_Direction;
; save_bled_direction start address is: 6 (W3)
	CLR.B	W3
	BTSC	TRISD7_bit, #7
	INC.B	W3
;Stereo3D_driver.c,246 :: 		TFT_BLED_Direction = 0;
	BCLR	TRISD7_bit, #7
;Stereo3D_driver.c,247 :: 		TFT_BLED           = 0;
	BCLR	LATD7_bit, #7
;Stereo3D_driver.c,248 :: 		TFT_Set_Active(Set_Index, Write_Command, Write_Data);
	PUSH	W10
	MOV	#lo_addr(_Write_Data), W12
	MOV	#lo_addr(_Write_Command), W11
	MOV	#lo_addr(_Set_Index), W10
	CALL	_TFT_Set_Active
	POP	W10
;Stereo3D_driver.c,249 :: 		TFT_Init(CurrentScreen->Width, CurrentScreen->Height);
	MOV	_CurrentScreen, W0
	ADD	W0, #4, W1
	MOV	_CurrentScreen, W0
	INC2	W0
	PUSH.D	W2
	PUSH	W10
	MOV	[W1], W11
	MOV	[W0], W10
	CALL	_TFT_Init
	POP	W10
	POP.D	W2
;Stereo3D_driver.c,250 :: 		TFT_Set_Ext_Buffer(TFT_Get_Data);
	PUSH	W10
	MOV	#lo_addr(_TFT_Get_Data), W10
	CALL	_TFT_Set_Ext_Buffer
;Stereo3D_driver.c,251 :: 		TP_TFT_Init(CurrentScreen->Width, CurrentScreen->Height, 13, 12);                                  // Initialize touch panel
	MOV	_CurrentScreen, W0
	ADD	W0, #4, W1
	MOV	_CurrentScreen, W0
	INC2	W0
	MOV.B	#12, W13
	MOV.B	#13, W12
	MOV	[W1], W11
	MOV	[W0], W10
	CALL	_TP_TFT_Init
;Stereo3D_driver.c,252 :: 		TP_TFT_Set_ADC_Threshold(ADC_THRESHOLD);                              // Set touch panel ADC threshold
	MOV	#800, W10
	CALL	_TP_TFT_Set_ADC_Threshold
	POP	W10
;Stereo3D_driver.c,253 :: 		TFT_Fill_Screen(CurrentScreen->Color);
	MOV	_CurrentScreen, W0
	PUSH.D	W2
	PUSH	W10
	MOV	[W0], W10
	CALL	_TFT_Fill_Screen
	POP	W10
	POP.D	W2
;Stereo3D_driver.c,254 :: 		display_width = CurrentScreen->Width;
	MOV	_CurrentScreen, W0
	INC2	W0
	MOV	[W0], W0
	MOV	W0, _display_width
;Stereo3D_driver.c,255 :: 		display_height = CurrentScreen->Height;
	MOV	_CurrentScreen, W0
	ADD	W0, #4, W0
	MOV	[W0], W0
	MOV	W0, _display_height
;Stereo3D_driver.c,256 :: 		TFT_BLED           = save_bled;
	BTSS	W2, #0
	BCLR	LATD7_bit, #7
	BTSC	W2, #0
	BSET	LATD7_bit, #7
; save_bled end address is: 4 (W2)
;Stereo3D_driver.c,257 :: 		TFT_BLED_Direction = save_bled_direction;
	BTSS	W3, #0
	BCLR	TRISD7_bit, #7
	BTSC	W3, #0
	BSET	TRISD7_bit, #7
; save_bled_direction end address is: 6 (W3)
;Stereo3D_driver.c,258 :: 		}
	GOTO	L_DrawScreen21
L_DrawScreen20:
;Stereo3D_driver.c,260 :: 		TFT_Fill_Screen(CurrentScreen->Color);
	MOV	_CurrentScreen, W0
	MOV	[W0], W10
	CALL	_TFT_Fill_Screen
L_DrawScreen21:
;Stereo3D_driver.c,263 :: 		while (order < CurrentScreen->ObjectsCount) {
L_DrawScreen22:
	MOV	_CurrentScreen, W0
	ADD	W0, #6, W0
	MOV.B	[W0], W0
	ZE	W0, W1
	ADD	W14, #0, W0
	CP	W1, [W0]
	BRA GT	L__DrawScreen90
	GOTO	L_DrawScreen23
L__DrawScreen90:
;Stereo3D_driver.c,264 :: 		if (image_idx  < CurrentScreen->ImagesCount) {
	MOV	_CurrentScreen, W0
	ADD	W0, #8, W0
	MOV	[W0], W1
	ADD	W14, #2, W0
	ZE	[W0], W0
	CP	W0, W1
	BRA LTU	L__DrawScreen91
	GOTO	L_DrawScreen24
L__DrawScreen91:
;Stereo3D_driver.c,265 :: 		local_image = GetImage(image_idx);
	MOV	_CurrentScreen, W0
	ADD	W0, #10, W4
	ADD	W14, #2, W0
	ZE	[W0], W0
	CLR	W1
	MOV.D	W0, W2
	SL	W2, W2
	RLC	W3, W3
	ADD	W2, [W4++], W0
	ADDC	W3, [W4--], W1
	MOV	W1, 52
	MOV	[W0], W0
	MOV	W0, [W14+4]
;Stereo3D_driver.c,266 :: 		if (order == local_image->Order) {
	INC2	W0
	MOV.B	[W0], W0
	ZE	W0, W1
	ADD	W14, #0, W0
	CP	W1, [W0]
	BRA Z	L__DrawScreen92
	GOTO	L_DrawScreen25
L__DrawScreen92:
;Stereo3D_driver.c,267 :: 		image_idx++;
	MOV.B	[W14+2], W1
	ADD	W14, #2, W0
	ADD.B	W1, #1, [W0]
;Stereo3D_driver.c,268 :: 		order++;
	MOV	[W14+0], W1
	ADD	W14, #0, W0
	ADD	W1, #1, [W0]
;Stereo3D_driver.c,269 :: 		DrawImage(local_image);
	PUSH	W10
	MOV	[W14+4], W10
	CALL	_DrawImage
	POP	W10
;Stereo3D_driver.c,270 :: 		}
L_DrawScreen25:
;Stereo3D_driver.c,271 :: 		}
L_DrawScreen24:
;Stereo3D_driver.c,273 :: 		}
	GOTO	L_DrawScreen22
L_DrawScreen23:
;Stereo3D_driver.c,274 :: 		}
L_end_DrawScreen:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	ULNK
	RETURN
; end of _DrawScreen

_Get_Object:

;Stereo3D_driver.c,276 :: 		void Get_Object(unsigned int X, unsigned int Y) {
;Stereo3D_driver.c,277 :: 		image_order         = -1;
	PUSH	W12
	PUSH	W13
	MOV	#65535, W0
	MOV	W0, _image_order
;Stereo3D_driver.c,279 :: 		for ( _object_count = 0 ; _object_count < CurrentScreen->ImagesCount ; _object_count++ ) {
	CLR	W0
	MOV	W0, __object_count
L_Get_Object26:
	MOV	_CurrentScreen, W0
	ADD	W0, #8, W0
	MOV	[W0], W1
	MOV	#lo_addr(__object_count), W0
	CP	W1, [W0]
	BRA GTU	L__Get_Object94
	GOTO	L_Get_Object27
L__Get_Object94:
;Stereo3D_driver.c,280 :: 		local_image = GetImage(_object_count);
	MOV	_CurrentScreen, W0
	ADD	W0, #10, W4
	MOV	__object_count, W0
	ASR	W0, #15, W1
	MOV.D	W0, W2
	SL	W2, W2
	RLC	W3, W3
	ADD	W2, [W4++], W0
	ADDC	W3, [W4--], W1
	MOV	W1, 52
	MOV	[W0], W0
	MOV	W0, _local_image
;Stereo3D_driver.c,281 :: 		if (local_image->Active == 1) {
	ADD	W0, #17, W0
	MOV.B	[W0], W0
	CP.B	W0, #1
	BRA Z	L__Get_Object95
	GOTO	L_Get_Object29
L__Get_Object95:
;Stereo3D_driver.c,283 :: 		local_image->Width, local_image->Height) == 1) {
	MOV	_local_image, W0
	ADD	W0, #10, W3
	MOV	_local_image, W0
	ADD	W0, #8, W2
;Stereo3D_driver.c,282 :: 		if (IsInsideObject(X, Y, local_image->Left, local_image->Top,
	MOV	_local_image, W0
	ADD	W0, #6, W1
	MOV	_local_image, W0
	ADD	W0, #4, W0
	MOV	[W1], W13
	MOV	[W0], W12
;Stereo3D_driver.c,283 :: 		local_image->Width, local_image->Height) == 1) {
	PUSH	[W3]
	PUSH	[W2]
	CALL	Stereo3D_driver_IsInsideObject
	SUB	#4, W15
	CP.B	W0, #1
	BRA Z	L__Get_Object96
	GOTO	L_Get_Object30
L__Get_Object96:
;Stereo3D_driver.c,284 :: 		image_order = local_image->Order;
	MOV	_local_image, W0
	INC2	W0
	MOV.B	[W0], W0
	ZE	W0, W0
	MOV	W0, _image_order
;Stereo3D_driver.c,285 :: 		exec_image = local_image;
	MOV	_local_image, W0
	MOV	W0, _exec_image
;Stereo3D_driver.c,286 :: 		}
L_Get_Object30:
;Stereo3D_driver.c,287 :: 		}
L_Get_Object29:
;Stereo3D_driver.c,279 :: 		for ( _object_count = 0 ; _object_count < CurrentScreen->ImagesCount ; _object_count++ ) {
	MOV	#1, W1
	MOV	#lo_addr(__object_count), W0
	ADD	W1, [W0], [W0]
;Stereo3D_driver.c,288 :: 		}
	GOTO	L_Get_Object26
L_Get_Object27:
;Stereo3D_driver.c,290 :: 		_object_count = -1;
	MOV	#65535, W0
	MOV	W0, __object_count
;Stereo3D_driver.c,291 :: 		if (image_order >  _object_count )
	MOV	_image_order, W1
	MOV	#65535, W0
	CP	W1, W0
	BRA GT	L__Get_Object97
	GOTO	L_Get_Object31
L__Get_Object97:
;Stereo3D_driver.c,292 :: 		_object_count = image_order;
	MOV	_image_order, W0
	MOV	W0, __object_count
L_Get_Object31:
;Stereo3D_driver.c,293 :: 		}
L_end_Get_Object:
	POP	W13
	POP	W12
	RETURN
; end of _Get_Object

Stereo3D_driver_Process_TP_Press:

;Stereo3D_driver.c,296 :: 		static void Process_TP_Press(unsigned int X, unsigned int Y) {
;Stereo3D_driver.c,297 :: 		exec_image          = 0;
	CLR	W0
	MOV	W0, _exec_image
;Stereo3D_driver.c,299 :: 		Get_Object(X, Y);
	CALL	_Get_Object
;Stereo3D_driver.c,302 :: 		if (_object_count != -1) {
	MOV	#65535, W1
	MOV	#lo_addr(__object_count), W0
	CP	W1, [W0]
	BRA NZ	L_Stereo3D_driver_Process_TP_Press99
	GOTO	L_Stereo3D_driver_Process_TP_Press32
L_Stereo3D_driver_Process_TP_Press99:
;Stereo3D_driver.c,303 :: 		if (_object_count == image_order) {
	MOV	__object_count, W1
	MOV	#lo_addr(_image_order), W0
	CP	W1, [W0]
	BRA Z	L_Stereo3D_driver_Process_TP_Press100
	GOTO	L_Stereo3D_driver_Process_TP_Press33
L_Stereo3D_driver_Process_TP_Press100:
;Stereo3D_driver.c,304 :: 		if (exec_image->Active == 1) {
	MOV	_exec_image, W0
	ADD	W0, #17, W0
	MOV.B	[W0], W0
	CP.B	W0, #1
	BRA Z	L_Stereo3D_driver_Process_TP_Press101
	GOTO	L_Stereo3D_driver_Process_TP_Press34
L_Stereo3D_driver_Process_TP_Press101:
;Stereo3D_driver.c,305 :: 		if (exec_image->OnPressPtr != 0) {
	MOV	_exec_image, W0
	ADD	W0, #26, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA NZ	L_Stereo3D_driver_Process_TP_Press102
	GOTO	L_Stereo3D_driver_Process_TP_Press35
L_Stereo3D_driver_Process_TP_Press102:
;Stereo3D_driver.c,306 :: 		exec_image->OnPressPtr();
	MOV	_exec_image, W0
	ADD	W0, #26, W0
	MOV	[W0], W0
	CALL	W0
;Stereo3D_driver.c,307 :: 		return;
	GOTO	L_end_Process_TP_Press
;Stereo3D_driver.c,308 :: 		}
L_Stereo3D_driver_Process_TP_Press35:
;Stereo3D_driver.c,309 :: 		}
L_Stereo3D_driver_Process_TP_Press34:
;Stereo3D_driver.c,310 :: 		}
L_Stereo3D_driver_Process_TP_Press33:
;Stereo3D_driver.c,312 :: 		}
L_Stereo3D_driver_Process_TP_Press32:
;Stereo3D_driver.c,313 :: 		}
L_end_Process_TP_Press:
	RETURN
; end of Stereo3D_driver_Process_TP_Press

Stereo3D_driver_Process_TP_Up:

;Stereo3D_driver.c,315 :: 		static void Process_TP_Up(unsigned int X, unsigned int Y) {
;Stereo3D_driver.c,317 :: 		exec_image          = 0;
	CLR	W0
	MOV	W0, _exec_image
;Stereo3D_driver.c,319 :: 		Get_Object(X, Y);
	CALL	_Get_Object
;Stereo3D_driver.c,322 :: 		if (_object_count != -1) {
	MOV	#65535, W1
	MOV	#lo_addr(__object_count), W0
	CP	W1, [W0]
	BRA NZ	L_Stereo3D_driver_Process_TP_Up104
	GOTO	L_Stereo3D_driver_Process_TP_Up36
L_Stereo3D_driver_Process_TP_Up104:
;Stereo3D_driver.c,324 :: 		if (_object_count == image_order) {
	MOV	__object_count, W1
	MOV	#lo_addr(_image_order), W0
	CP	W1, [W0]
	BRA Z	L_Stereo3D_driver_Process_TP_Up105
	GOTO	L_Stereo3D_driver_Process_TP_Up37
L_Stereo3D_driver_Process_TP_Up105:
;Stereo3D_driver.c,325 :: 		if (exec_image->Active == 1) {
	MOV	_exec_image, W0
	ADD	W0, #17, W0
	MOV.B	[W0], W0
	CP.B	W0, #1
	BRA Z	L_Stereo3D_driver_Process_TP_Up106
	GOTO	L_Stereo3D_driver_Process_TP_Up38
L_Stereo3D_driver_Process_TP_Up106:
;Stereo3D_driver.c,326 :: 		if (exec_image->OnUpPtr != 0)
	MOV	_exec_image, W0
	ADD	W0, #20, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA NZ	L_Stereo3D_driver_Process_TP_Up107
	GOTO	L_Stereo3D_driver_Process_TP_Up39
L_Stereo3D_driver_Process_TP_Up107:
;Stereo3D_driver.c,327 :: 		exec_image->OnUpPtr();
	MOV	_exec_image, W0
	ADD	W0, #20, W0
	MOV	[W0], W0
	CALL	W0
L_Stereo3D_driver_Process_TP_Up39:
;Stereo3D_driver.c,328 :: 		if (PressedObject == (void *)exec_image)
	MOV	_PressedObject, W1
	MOV	#lo_addr(_exec_image), W0
	CP	W1, [W0]
	BRA Z	L_Stereo3D_driver_Process_TP_Up108
	GOTO	L_Stereo3D_driver_Process_TP_Up40
L_Stereo3D_driver_Process_TP_Up108:
;Stereo3D_driver.c,329 :: 		if (exec_image->OnClickPtr != 0)
	MOV	_exec_image, W0
	ADD	W0, #24, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA NZ	L_Stereo3D_driver_Process_TP_Up109
	GOTO	L_Stereo3D_driver_Process_TP_Up41
L_Stereo3D_driver_Process_TP_Up109:
;Stereo3D_driver.c,330 :: 		exec_image->OnClickPtr();
	MOV	_exec_image, W0
	ADD	W0, #24, W0
	MOV	[W0], W0
	CALL	W0
L_Stereo3D_driver_Process_TP_Up41:
L_Stereo3D_driver_Process_TP_Up40:
;Stereo3D_driver.c,331 :: 		PressedObject = 0;
	CLR	W0
	MOV	W0, _PressedObject
;Stereo3D_driver.c,332 :: 		PressedObjectType = -1;
	MOV	#65535, W0
	MOV	W0, _PressedObjectType
;Stereo3D_driver.c,333 :: 		return;
	GOTO	L_end_Process_TP_Up
;Stereo3D_driver.c,334 :: 		}
L_Stereo3D_driver_Process_TP_Up38:
;Stereo3D_driver.c,335 :: 		}
L_Stereo3D_driver_Process_TP_Up37:
;Stereo3D_driver.c,337 :: 		}
L_Stereo3D_driver_Process_TP_Up36:
;Stereo3D_driver.c,338 :: 		PressedObject = 0;
	CLR	W0
	MOV	W0, _PressedObject
;Stereo3D_driver.c,339 :: 		PressedObjectType = -1;
	MOV	#65535, W0
	MOV	W0, _PressedObjectType
;Stereo3D_driver.c,340 :: 		}
L_end_Process_TP_Up:
	RETURN
; end of Stereo3D_driver_Process_TP_Up

Stereo3D_driver_Process_TP_Down:

;Stereo3D_driver.c,342 :: 		static void Process_TP_Down(unsigned int X, unsigned int Y) {
;Stereo3D_driver.c,344 :: 		object_pressed      = 0;
	MOV	#lo_addr(_object_pressed), W1
	CLR	W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,345 :: 		exec_image          = 0;
	CLR	W0
	MOV	W0, _exec_image
;Stereo3D_driver.c,347 :: 		Get_Object(X, Y);
	CALL	_Get_Object
;Stereo3D_driver.c,349 :: 		if (_object_count != -1) {
	MOV	#65535, W1
	MOV	#lo_addr(__object_count), W0
	CP	W1, [W0]
	BRA NZ	L_Stereo3D_driver_Process_TP_Down111
	GOTO	L_Stereo3D_driver_Process_TP_Down42
L_Stereo3D_driver_Process_TP_Down111:
;Stereo3D_driver.c,350 :: 		if (_object_count == image_order) {
	MOV	__object_count, W1
	MOV	#lo_addr(_image_order), W0
	CP	W1, [W0]
	BRA Z	L_Stereo3D_driver_Process_TP_Down112
	GOTO	L_Stereo3D_driver_Process_TP_Down43
L_Stereo3D_driver_Process_TP_Down112:
;Stereo3D_driver.c,351 :: 		if (exec_image->Active == 1) {
	MOV	_exec_image, W0
	ADD	W0, #17, W0
	MOV.B	[W0], W0
	CP.B	W0, #1
	BRA Z	L_Stereo3D_driver_Process_TP_Down113
	GOTO	L_Stereo3D_driver_Process_TP_Down44
L_Stereo3D_driver_Process_TP_Down113:
;Stereo3D_driver.c,352 :: 		PressedObject = (void *)exec_image;
	MOV	_exec_image, W0
	MOV	W0, _PressedObject
;Stereo3D_driver.c,353 :: 		PressedObjectType = 3;
	MOV	#3, W0
	MOV	W0, _PressedObjectType
;Stereo3D_driver.c,354 :: 		if (exec_image->OnDownPtr != 0) {
	MOV	_exec_image, W0
	ADD	W0, #22, W0
	MOV	[W0], W0
	CP	W0, #0
	BRA NZ	L_Stereo3D_driver_Process_TP_Down114
	GOTO	L_Stereo3D_driver_Process_TP_Down45
L_Stereo3D_driver_Process_TP_Down114:
;Stereo3D_driver.c,355 :: 		exec_image->OnDownPtr();
	MOV	_exec_image, W0
	ADD	W0, #22, W0
	MOV	[W0], W0
	CALL	W0
;Stereo3D_driver.c,356 :: 		return;
	GOTO	L_end_Process_TP_Down
;Stereo3D_driver.c,357 :: 		}
L_Stereo3D_driver_Process_TP_Down45:
;Stereo3D_driver.c,358 :: 		}
L_Stereo3D_driver_Process_TP_Down44:
;Stereo3D_driver.c,359 :: 		}
L_Stereo3D_driver_Process_TP_Down43:
;Stereo3D_driver.c,361 :: 		}
L_Stereo3D_driver_Process_TP_Down42:
;Stereo3D_driver.c,362 :: 		}
L_end_Process_TP_Down:
	RETURN
; end of Stereo3D_driver_Process_TP_Down

_Check_TP:

;Stereo3D_driver.c,364 :: 		void Check_TP() {
;Stereo3D_driver.c,365 :: 		if (TP_TFT_Press_Detect()) {
	PUSH	W10
	PUSH	W11
	CALL	_TP_TFT_Press_Detect
	CP0.B	W0
	BRA NZ	L__Check_TP116
	GOTO	L_Check_TP46
L__Check_TP116:
;Stereo3D_driver.c,367 :: 		if (TP_TFT_Get_Coordinates(&Xcoord, &Ycoord) == 0) {
	MOV	#lo_addr(_Ycoord), W11
	MOV	#lo_addr(_Xcoord), W10
	CALL	_TP_TFT_Get_Coordinates
	CP.B	W0, #0
	BRA Z	L__Check_TP117
	GOTO	L_Check_TP47
L__Check_TP117:
;Stereo3D_driver.c,368 :: 		Process_TP_Press(Xcoord, Ycoord);
	MOV	_Ycoord, W11
	MOV	_Xcoord, W10
	CALL	Stereo3D_driver_Process_TP_Press
;Stereo3D_driver.c,369 :: 		if (PenDown == 0) {
	MOV	#lo_addr(_PenDown), W0
	MOV.B	[W0], W0
	CP.B	W0, #0
	BRA Z	L__Check_TP118
	GOTO	L_Check_TP48
L__Check_TP118:
;Stereo3D_driver.c,370 :: 		PenDown = 1;
	MOV	#lo_addr(_PenDown), W1
	MOV.B	#1, W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,371 :: 		Process_TP_Down(Xcoord, Ycoord);
	MOV	_Ycoord, W11
	MOV	_Xcoord, W10
	CALL	Stereo3D_driver_Process_TP_Down
;Stereo3D_driver.c,372 :: 		}
L_Check_TP48:
;Stereo3D_driver.c,373 :: 		}
L_Check_TP47:
;Stereo3D_driver.c,374 :: 		}
	GOTO	L_Check_TP49
L_Check_TP46:
;Stereo3D_driver.c,375 :: 		else if (PenDown == 1) {
	MOV	#lo_addr(_PenDown), W0
	MOV.B	[W0], W0
	CP.B	W0, #1
	BRA Z	L__Check_TP119
	GOTO	L_Check_TP50
L__Check_TP119:
;Stereo3D_driver.c,376 :: 		PenDown = 0;
	MOV	#lo_addr(_PenDown), W1
	CLR	W0
	MOV.B	W0, [W1]
;Stereo3D_driver.c,377 :: 		Process_TP_Up(Xcoord, Ycoord);
	MOV	_Ycoord, W11
	MOV	_Xcoord, W10
	CALL	Stereo3D_driver_Process_TP_Up
;Stereo3D_driver.c,378 :: 		}
L_Check_TP50:
L_Check_TP49:
;Stereo3D_driver.c,379 :: 		}
L_end_Check_TP:
	POP	W11
	POP	W10
	RETURN
; end of _Check_TP

_Init_MCU:

;Stereo3D_driver.c,381 :: 		void Init_MCU() {
;Stereo3D_driver.c,382 :: 		TRISE = 0;
	PUSH	W10
	PUSH	W11
	PUSH	W12
	CLR	TRISE
;Stereo3D_driver.c,383 :: 		TFT_DataPort_Direction = 0;
	CLR.B	TRISA
;Stereo3D_driver.c,384 :: 		CLKDIVbits.PLLPRE = 0;      // PLLPRE<4:0> = 0  ->  N1 = 2    8MHz / 2 = 4MHz
	MOV	#lo_addr(CLKDIVbits), W0
	MOV.B	[W0], W1
	MOV.B	#224, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(CLKDIVbits), W0
	MOV.B	W1, [W0]
;Stereo3D_driver.c,386 :: 		PLLFBD =   38;              // PLLDIV<8:0> = 38 ->  M = 40    4MHz * 40 = 160MHz
	MOV	#38, W0
	MOV	WREG, PLLFBD
;Stereo3D_driver.c,388 :: 		CLKDIVbits.PLLPOST = 0;     // PLLPOST<1:0> = 0 ->  N2 = 2    160MHz / 2 = 80MHz
	MOV	#lo_addr(CLKDIVbits), W0
	MOV.B	[W0], W1
	MOV.B	#63, W0
	AND.B	W1, W0, W1
	MOV	#lo_addr(CLKDIVbits), W0
	MOV.B	W1, [W0]
;Stereo3D_driver.c,390 :: 		Delay_ms(150);
	MOV	#31, W8
	MOV	#33929, W7
L_Init_MCU51:
	DEC	W7
	BRA NZ	L_Init_MCU51
	DEC	W8
	BRA NZ	L_Init_MCU51
;Stereo3D_driver.c,391 :: 		TP_TFT_Rotate_180(0);
	CLR	W10
	CALL	_TP_TFT_Rotate_180
;Stereo3D_driver.c,392 :: 		TFT_Set_Active(Set_Index,Write_Command,Write_Data);
	MOV	#lo_addr(_Write_Data), W12
	MOV	#lo_addr(_Write_Command), W11
	MOV	#lo_addr(_Set_Index), W10
	CALL	_TFT_Set_Active
;Stereo3D_driver.c,393 :: 		}
L_end_Init_MCU:
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _Init_MCU

_Init_Ext_Mem:

;Stereo3D_driver.c,395 :: 		void Init_Ext_Mem() {
;Stereo3D_driver.c,397 :: 		SPI2_Init_Advanced(_SPI_MASTER, _SPI_8_BIT, _SPI_PRESCALE_SEC_1, _SPI_PRESCALE_PRI_64,
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	CLR	W13
	MOV	#28, W12
	CLR	W11
	MOV	#32, W10
;Stereo3D_driver.c,398 :: 		_SPI_SS_DISABLE, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_IDLE_2_ACTIVE);
	MOV	#256, W0
	PUSH	W0
	CLR	W0
	PUSH	W0
	CLR	W0
	PUSH	W0
	CLR	W0
	PUSH	W0
	CALL	_SPI2_Init_Advanced
	SUB	#8, W15
;Stereo3D_driver.c,399 :: 		Delay_ms(10);
	MOV	#3, W8
	MOV	#2261, W7
L_Init_Ext_Mem53:
	DEC	W7
	BRA NZ	L_Init_Ext_Mem53
	DEC	W8
	BRA NZ	L_Init_Ext_Mem53
;Stereo3D_driver.c,402 :: 		if (!Mmc_Fat_Init()) {
	CALL	_Mmc_Fat_Init
	CP0.B	W0
	BRA Z	L__Init_Ext_Mem122
	GOTO	L_Init_Ext_Mem55
L__Init_Ext_Mem122:
;Stereo3D_driver.c,404 :: 		SPI2_Init_Advanced(_SPI_MASTER, _SPI_8_BIT, _SPI_PRESCALE_SEC_1, _SPI_PRESCALE_PRI_4,
	MOV	#2, W13
	MOV	#28, W12
	CLR	W11
	MOV	#32, W10
;Stereo3D_driver.c,405 :: 		_SPI_SS_DISABLE, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_IDLE_2_ACTIVE);
	MOV	#256, W0
	PUSH	W0
	CLR	W0
	PUSH	W0
	CLR	W0
	PUSH	W0
	CLR	W0
	PUSH	W0
	CALL	_SPI2_Init_Advanced
	SUB	#8, W15
;Stereo3D_driver.c,408 :: 		Mmc_Fat_Assign("Stereo3D.RES", 0);
	CLR	W11
	MOV	#lo_addr(?lstr1_Stereo3D_driver), W10
	CALL	_Mmc_Fat_Assign
;Stereo3D_driver.c,409 :: 		Mmc_Fat_Reset(&res_file_size);
	MOV	#lo_addr(_res_file_size), W10
	CALL	_Mmc_Fat_Reset
;Stereo3D_driver.c,410 :: 		}
L_Init_Ext_Mem55:
;Stereo3D_driver.c,411 :: 		}
L_end_Init_Ext_Mem:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _Init_Ext_Mem

_Start_TP:

;Stereo3D_driver.c,413 :: 		void Start_TP() {
;Stereo3D_driver.c,414 :: 		Init_MCU();
	PUSH	W10
	PUSH	W11
	PUSH	W12
	PUSH	W13
	CALL	_Init_MCU
;Stereo3D_driver.c,416 :: 		Init_Ext_Mem();
	CALL	_Init_Ext_Mem
;Stereo3D_driver.c,418 :: 		InitializeTouchPanel();
	CALL	Stereo3D_driver_InitializeTouchPanel
;Stereo3D_driver.c,421 :: 		TP_TFT_Set_Calibration_Consts(149, 776, 68, 765);    // Set calibration constants
	MOV	#765, W13
	MOV	#68, W12
	MOV	#776, W11
	MOV	#149, W10
	CALL	_TP_TFT_Set_Calibration_Consts
;Stereo3D_driver.c,423 :: 		InitializeObjects();
	CALL	Stereo3D_driver_InitializeObjects
;Stereo3D_driver.c,424 :: 		display_width = left.Width;
	MOV	_left+2, W0
	MOV	W0, _display_width
;Stereo3D_driver.c,425 :: 		display_height = left.Height;
	MOV	_left+4, W0
	MOV	W0, _display_height
;Stereo3D_driver.c,426 :: 		DrawScreen(&left);
	MOV	#lo_addr(_left), W10
	CALL	_DrawScreen
;Stereo3D_driver.c,427 :: 		}
L_end_Start_TP:
	POP	W13
	POP	W12
	POP	W11
	POP	W10
	RETURN
; end of _Start_TP

Stereo3D_driver____?ag:

L_end_Stereo3D_driver___?ag:
	RETURN
; end of Stereo3D_driver____?ag
