#line 1 "X:/Mikromedia Board/Stereo3D Viewer/Mikromedia Stereo3D Viewer/Development/dsPIC33/Stereo3D_Code/mikroC PRO for dsPIC/Stereo3D_events_code.c"
#line 1 "x:/mikromedia board/stereo3d viewer/mikromedia stereo3d viewer/development/dspic33/stereo3d_code/mikroc pro for dspic/stereo3d_objects.h"
typedef enum {_taLeft, _taCenter, _taRight} TTextAlign;

typedef struct Screen TScreen;

typedef struct Image {
 TScreen* OwnerScreen;
 char Order;
 unsigned int Left;
 unsigned int Top;
 unsigned int Width;
 unsigned int Height;
 const far char *Picture_Name;
 char Visible;
 char Active;
 char Picture_Type;
 char Picture_Ratio;
 void (*OnUpPtr)();
 void (*OnDownPtr)();
 void (*OnClickPtr)();
 void (*OnPressPtr)();
} TImage;

struct Screen {
 unsigned int Color;
 unsigned int Width;
 unsigned int Height;
 unsigned short ObjectsCount;
 unsigned int ImagesCount;
 TImage * const code far *Images;
};

extern TScreen left;
extern TImage leftImage;
extern TImage * const code far Screen1_Images[1];


extern TScreen right;
extern TImage rightImage;
extern TImage * const code far Screen2_Images[1];





void leftImageOnUp();
void rightImageOnUp();




extern char leftImage_Caption[];
extern char rightImage_Caption[];


void DrawScreen(TScreen *aScreen);
void DrawImage(TImage *AImage);
void Check_TP();
void Start_TP();
#line 1 "x:/mikromedia board/stereo3d viewer/mikromedia stereo3d viewer/development/dspic33/stereo3d_code/mikroc pro for dspic/stereo3d_resources.h"
#line 10 "X:/Mikromedia Board/Stereo3D Viewer/Mikromedia Stereo3D Viewer/Development/dsPIC33/Stereo3D_Code/mikroC PRO for dsPIC/Stereo3D_events_code.c"
void rightImageOnUp() {
DrawScreen(&left);
}

void leftImageOnUp() {
DrawScreen(&right);
}
