#Mikromedia Stereo3D Viewer 
Version 1.0 Alpha - Dec 3, 2012  

This is a simple example that shows a stereo image on a pair of Mikromedia PIC32 or dsPIC33 boards. If you tap the displays you can switch between parallel vs crosseyed views. The included stereo 3D image is of a carved piece of scrimshaw.

The demo was designed to work with either cross-eyed free viewing techniques or parallel viewing techniques with a set of parallel stereo 3D glasses [Loreo Lite 3D viewer](http://www.berezin.com/3d/loreo_lite.htm).

![Mikromedia3D stereo pairs](Screenshots/Mikromedia3D-stereo-pairs.jpg)

![Mikromedia3D stereo pairs Loreo.jpg](Screenshots/Mikromedia3D-stereo-pairs-loreo.jpg)


The code was written using [mikroC PRO for PIC32](http://www.mikroe.com/mikroc/pic32/), [mikroC PRO for dsPIC](http://www.mikroe.com/mikroc/dspic/), and [VisualTFT](http://www.mikroe.com/visualtft/).
* * *

##Installation

1. Install the HEX Firmware
  
  If you have a PIC32 Mikromedia board flash the firmware file Install/PIC32/Stereo3D.hex to a pair of Mikromedia PIC32 boards.

  If you have a dsPIC33 Mikromedia board flash the firmware file Install/dsPIC33/Stereo3D.hex to a pair of Mikromedia dsPIC33 boards.

2. Copy the VisualTFT Stereo3D.RES resource file to the microSD card in each of the two Mikromedia boards.

3. Get ready to try out the stereo pair image viewer. Tap the Mikromedia display to switch between the right or left stereo pair image views.

------------------------------------------------------

##Library Details

###Open Source Software License:  
[New BSD License](https://en.wikipedia.org/wiki/BSD_licenses)
  
###Compatible Software 
[mikroC PRO for PIC32](http://www.mikroe.com/mikroc/pic32/)
                 
[mikroC PRO for dsPIC](http://www.mikroe.com/mikroc/dspic/)

[VisualTFT](http://www.mikroe.com/visualtft/)
                
###Hardware Required
                    
####Compatible Development Boards      
[MikroMMB for PIC32](http://www.mikroe.com/mikromedia/pic32/) 
or 
[MikroMMB for dsPIC33](http://www.mikroe.com/mikromedia/dspic33/)             


------------------------------------------------------

Created by Andrew Hazelden. (c) copyright 2012.

Email: [andrewhazelden@gmail.com](mailto:andrewhazelden@gmail.com)
 
Blog:  [http://www.andrewhazelden.com](http://www.andrewhazelden.com)


